#include <bits/stdc++.h>

#include <stdlib.h> 

#include <time.h>  

using namespace std;

#define IOS ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);cerr.tie(0);

#define PI 3.14159265358979323846

#define endl "\n"

#define pb push_back

#define mp make_pair

const int MAXN = 200000;

const double eof = 0.01;

void solve(){

}

int n;

vector<double> a(MAXN), p(MAXN);

double maximum=0.0;

bool check(double mid){

	double cur=0.0;

	for(int i=0;i<n;i++){

		if(mid<=p[i]){

			double pomoc = (mid*a[i])/100.0;

			cur = cur + pomoc;

		}

	}

	if(cur>=maximum){

		maximum = cur;

		return true;

	}

	return false;

}

void bs(){

	double l=0.0,r=100.0;

	while(l<=r){

		double mid = (double)(((double)(l+r))/(double)(2.0));

		mid = ceil(mid*100.0)/100.0;

		if(check(mid)==true){

			l = mid + eof;

		}else{

			r = mid - eof;

		}

	}

	cout << fixed << setprecision(5) << maximum << endl;

}

int32_t main(){

	IOS
    
    cin >> n;

    for(int i=0;i<n;i++){

		cin >> a[i] >> p[i];

	}

	bs();

	return 0;

}